ripley::AbstractAssembler Class Referenceabstract

`#include <AbstractAssembler.h>`

Inheritance diagram for ripley::AbstractAssembler:

## Public Member Functions

virtual | ~AbstractAssembler ()
virtual void | assemblePDESingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDEBoundarySingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDESingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDEBoundarySingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDESystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDEBoundarySystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDESystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | assemblePDEBoundarySystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const =0
virtual void | collateFunctionSpaceTypes (std::vector< int > &fsTypes, const DataMap &coefs) const =0

## Constructor & Destructor Documentation

## ~AbstractAssembler()

virtual ripley::AbstractAssembler::~AbstractAssembler | ( |  | ) |

inline virtual

## Member Function Documentation

## assemblePDEBoundarySingle()

virtual void ripley::AbstractAssembler::assemblePDEBoundarySingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler3D< Scalar >, ripley::DefaultAssembler2D< Scalar >, ripley::LameAssembler2D, ripley::LameAssembler3D, ripley::WaveAssembler3D, and ripley::WaveAssembler2D.

## assemblePDEBoundarySingleReduced()

virtual void ripley::AbstractAssembler::assemblePDEBoundarySingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler3D< Scalar >, ripley::DefaultAssembler2D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

## assemblePDEBoundarySystem()

virtual void ripley::AbstractAssembler::assemblePDEBoundarySystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler2D< Scalar >, ripley::DefaultAssembler3D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

## assemblePDEBoundarySystemReduced()

virtual void ripley::AbstractAssembler::assemblePDEBoundarySystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler2D< Scalar >, ripley::DefaultAssembler3D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

## assemblePDESingle()

virtual void ripley::AbstractAssembler::assemblePDESingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler3D< Scalar >, ripley::DefaultAssembler2D< Scalar >, ripley::LameAssembler2D, ripley::LameAssembler3D, ripley::WaveAssembler3D, and ripley::WaveAssembler2D.

## assemblePDESingleReduced()

virtual void ripley::AbstractAssembler::assemblePDESingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler3D< Scalar >, ripley::DefaultAssembler2D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

## assemblePDESystem()

virtual void ripley::AbstractAssembler::assemblePDESystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler2D< Scalar >, ripley::DefaultAssembler3D< Scalar >, ripley::LameAssembler2D, ripley::LameAssembler3D, ripley::WaveAssembler2D, and ripley::WaveAssembler3D.

## assemblePDESystemReduced()

virtual void ripley::AbstractAssembler::assemblePDESystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler2D< Scalar >, ripley::DefaultAssembler3D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

## collateFunctionSpaceTypes()

virtual void ripley::AbstractAssembler::collateFunctionSpaceTypes | ( | std::vector< int > & | fsTypes,
|  | const DataMap & | coefs
| ) |  | const

pure virtual

Implemented in ripley::DefaultAssembler2D< Scalar >, ripley::DefaultAssembler3D< Scalar >, ripley::WaveAssembler3D, ripley::WaveAssembler2D, ripley::LameAssembler2D, and ripley::LameAssembler3D.

The documentation for this class was generated from the following file:

- ripley/src/AbstractAssembler.h